import type { _NSCoder } from "./NSCoder.js";
import type { _NSScriptClassDescription } from "./NSScriptClassDescription.js";
import type { _NSScriptObjectSpecifier } from "./NSScriptObjectSpecifier.js";
import type { _NSString } from "./NSString.js";
export declare class _NSRangeSpecifier extends _NSScriptObjectSpecifier {
    static alloc(): _NSRangeSpecifier;
    static new(): _NSRangeSpecifier;
    init(): _NSRangeSpecifier;
    initWithCoder$(inCoder: _NSCoder): _NSRangeSpecifier | null;
    initWithContainerClassDescription$containerSpecifier$key$startSpecifier$endSpecifier$(classDesc: _NSScriptClassDescription, container: _NSScriptObjectSpecifier | null, property: _NSString, startSpec: _NSScriptObjectSpecifier | null, endSpec: _NSScriptObjectSpecifier | null): _NSRangeSpecifier;
    startSpecifier(): _NSScriptObjectSpecifier | null;
    setStartSpecifier$(value: _NSScriptObjectSpecifier | null): void;
    endSpecifier(): _NSScriptObjectSpecifier | null;
    setEndSpecifier$(value: _NSScriptObjectSpecifier | null): void;
}
